@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");
* {
  padding: 0;
  margin: 0;
  outline: none;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box; }

img {
  width: 100%; }

h1,
h2,
h3,
h4,
h5 {
  margin-bottom: 1rem; }

p {
  margin: 0.5rem 0; }

a,
input,
textarea,
button,
small {
  font: inherit; }

.bg-dark {
  background: #000;
  color: #fff; }

.bg-light {
  background: #fff;
  color: #000; }

.text-dark {
  color: #000; }

.text-light {
  color: #fff; }

.btn {
  border: none;
  background: none;
  font-size: 0.8rem;
  font-weight: 500;
  cursor: pointer;
  color: #fff; }

.btn + i {
  color: #fff; }

.btn-arrow {
  border: none;
  background: none;
  font-size: 0.8rem;
  font-weight: 500;
  cursor: pointer;
  display: flex;
  align-items: center; }
  .btn-arrow:hover {
    opacity: 0.9;
    color: #fa99b6; }

.w-100 {
  width: 100%; }

.ml-1 {
  margin-left: 1rem; }

.mb-1 {
  margin-bottom: 0.5rem; }

.lead {
  font-size: 0.9rem; }

.flex-row {
  display: flex;
  flex-flow: row wrap; }

.space-between {
  justify-content: space-between; }

.line {
  width: 100%;
  height: 1px;
  background: #f3f3f3;
  margin: 0.7rem 0; }

.toggle {
  --width: 40px;
  --height: calc(var(--width) / 2);
  --border-radius: calc(var(--height) / 2);
  display: inline-block;
  cursor: pointer; }
  .toggle .toggle-input {
    display: none; }
  .toggle .toggle-fill {
    position: relative;
    width: var(--width);
    height: var(--height);
    border-radius: var(--border-radius);
    background: #dddddd;
    transition: background 0.2s; }
  .toggle .toggle-input:checked ~ .toggle-fill {
    background-color: #cc4646; }
  .toggle .toggle-fill::after {
    content: '';
    position: absolute;
    top: 1px;
    left: 1px;
    height: 18px;
    width: 18px;
    background: #ffffff;
    box-shadow: 0 0 10px grba(0, 0, 0, 0.25);
    border-radius: var(--border-radius);
    transition: transform 0.2s; }
  .toggle .toggle-input:checked ~ .toggle-fill::after {
    transform: translateX(20px); }

body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.5;
  min-width: 320px;
  width: 100%; }

main {
  position: relative; }

.container {
  max-width: 1400px;
  margin: auto; }

.none {
  display: none !important; }

.navigation-full {
  height: 100vh;
  width: 100%;
  z-index: 100;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #000;
  position: fixed;
  opacity: 0.9; }
  .navigation-full .nav {
    width: 100%; }
    .navigation-full .nav ul {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center; }
    .navigation-full .nav ul li a {
      display: inline-block;
      padding: 1rem;
      margin: 1rem 0;
      color: #FFF;
      font-weight: 500; }
      .navigation-full .nav ul li a:hover, .navigation-full .nav ul li a:focus {
        color: #cc4646; }
  .navigation-full .close-btn {
    position: absolute;
    top: 0;
    right: 0;
    padding: 1rem;
    border: none;
    background: none;
    cursor: pointer;
    color: #fff; }
    .navigation-full .close-btn:hover {
      color: #cc4646; }

#header {
  position: sticky;
  top: 0;
  z-index: 10;
  height: 3.5rem;
  width: 100%;
  background: #fff; }
  #header .container {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between;
    padding: 1rem; }
  #header .navigation,
  #header .invitation {
    display: none; }
  #header .logo {
    width: 9rem;
    cursor: pointer; }
  #header .menu {
    width: 50%;
    text-align: end; }
    #header .menu .fa-bars {
      cursor: pointer; }

#card-photo .background-img {
  width: 100%;
  height: 15rem; }

#card-photo .card:nth-child(1) .background-img {
  background: url("../img/main/main-1.jpg") no-repeat center center/cover; }

#card-photo .card:nth-child(2) .background-img {
  background: url("../img/main/main-2.jpg") no-repeat center center/cover; }

#card-photo .card:nth-child(3) .background-img {
  background: url("../img/main/main-3.jpg") no-repeat right center/cover; }

#card-photo .description {
  padding: 3rem 2rem;
  position: relative; }
  #card-photo .description .border-design {
    position: absolute;
    top: 0;
    left: 2rem;
    height: 0.4rem;
    width: 6rem;
    background: linear-gradient(76deg, rgba(200, 127, 199, 0.709121) 0%, #bb5d5d 46%, #4d36ac 100%); }
  #card-photo .description h1 {
    font-weight: 500; }
  #card-photo .description p {
    color: #989898;
    margin-bottom: 1rem; }
  #card-photo .description .fa-long-arrow-alt-right {
    margin-left: 1rem; }

#portfolio .card:nth-child(1) {
  background: url("../img/stack-images/stack-images-01.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(2) {
  background: url("../img/stack-images/stack-images-02.jpg") no-repeat top center/cover; }

#portfolio .card:nth-child(3) {
  background: url("../img/stack-images/stack-images-03.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(4) {
  background: url("../img/stack-images/stack-images-04.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(5) {
  background: url("../img/stack-images/stack-images-05.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(6) {
  background: url("../img/stack-images/stack-images-06.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(7) {
  background: url("../img/stack-images/stack-images-07.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(8) {
  background: url("../img/stack-images/stack-images-08.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(9) {
  background: url("../img/stack-images/stack-images-09.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(10) {
  background: url("../img/stack-images/stack-images-10.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(11) {
  background: url("../img/stack-images/stack-images-11.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(12) {
  background: url("../img/stack-images/stack-images-12.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(13) {
  background: url("../img/stack-images/stack-images-13.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(14) {
  background: url("../img/stack-images/stack-images-14.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(15) {
  background: url("../img/stack-images/stack-images-15.jpg") no-repeat center center/cover; }

#portfolio .card:nth-child(16) {
  background: url("../img/stack-images/stack-images-16.jpg") no-repeat center center/cover; }

#portfolio .card::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.1); }

#portfolio .card {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-end;
  height: 20rem;
  padding: 2rem 1rem;
  color: #fff; }
  #portfolio .card h4 {
    margin-bottom: 0.5rem; }
  #portfolio .card p {
    margin: 0;
    font-size: 0.9rem;
    color: #f3f3f3; }

#portfolio .card > * {
  z-index: 1; }

#portfolio .btn:hover {
  color: #cc4646; }

#services .container {
  padding: 4rem 0; }
  #services .container .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 15rem;
    padding: 2rem 2rem; }
    #services .container .card div {
      height: 10rem; }
    #services .container .card img {
      width: 5rem;
      margin: 2rem 0; }

#feature-today {
  background: url("../img/main/full-moon.jpg") no-repeat center center/cover;
  color: #fff; }
  #feature-today::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); }
  #feature-today .info {
    position: relative;
    margin: auto;
    width: 90%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    color: #fff; }
    #feature-today .info .desc {
      color: #f3f3f3;
      margin-bottom: 2rem; }
  #feature-today .btn:hover {
    color: #cc4646; }

#footer {
  background: #000; }
  #footer .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    color: #fff;
    padding: 2rem 3rem; }
  #footer .logo {
    width: 10rem;
    margin-bottom: 1rem; }
  #footer .multimedia > * {
    margin-right: 0.5rem;
    cursor: pointer; }
    #footer .multimedia > *:hover {
      color: #cc4646; }
  #footer .navigation {
    margin: 2rem 0; }
    #footer .navigation ul li a {
      display: inline-block;
      padding: 0.5rem 0;
      color: #fff; }
      #footer .navigation ul li a:hover {
        color: #cc4646; }
  #footer .invites {
    margin-bottom: 1rem; }
    #footer .invites .btn:hover {
      color: #cc4646; }

#card-photo .card .background-img.pricing-bg {
  background: url("../img/main/cameraman-silhouette.jpg") no-repeat center center/cover; }

#pricing {
  margin: 3rem 0; }
  #pricing .toggle-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem; }
    #pricing .toggle-container .toggle {
      padding: 0.4rem;
      margin: 0 0.5rem; }
    #pricing .toggle-container a {
      font-weight: bold; }
  #pricing .card-wrapper {
    padding: 0 1rem; }
  #pricing .card {
    background: #f3f3f3;
    padding: 1rem;
    margin-bottom: 1rem;
    text-align: center; }
    #pricing .card .plan {
      grid-area: plan;
      margin: 0; }
    #pricing .card .desc {
      grid-area: desc;
      margin: 0.5rem auto; }
    #pricing .card .price {
      grid-area: price;
      margin-bottom: 0.8rem; }
    #pricing .card .condition {
      display: block;
      font-size: 0.9rem;
      font-weight: 400; }
    #pricing .card .btn {
      padding: 1rem 0; }
    #pricing .card .btn-view-plan {
      grid-area: btnplan;
      padding: 0.3rem 4rem;
      background: #000;
      color: #fff;
      border: 1px solid #000;
      cursor: pointer;
      font-weight: 500; }
      #pricing .card .btn-view-plan:hover {
        background: none;
        border: 1px solid #000;
        color: #000; }
  #pricing .card:nth-child(2) {
    background: #000;
    color: #fff; }
    #pricing .card:nth-child(2) .btn-view-plan {
      background: #fff;
      color: #000;
      border: 1px solid #fff;
      cursor: pointer; }
      #pricing .card:nth-child(2) .btn-view-plan:hover {
        background: none;
        border: 1px solid #fff;
        color: #fff; }

#compare-pricing {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 3rem 0; }
  #compare-pricing .table {
    border-collapse: collapse;
    overflow: scroll; }
  #compare-pricing th,
  #compare-pricing td {
    padding: 1rem;
    text-align: left; }
  #compare-pricing .table tr:nth-child(1) {
    box-shadow: 0px 4px 5px 0px rgba(0, 0, 0, 0.19); }
  #compare-pricing tr th:not(:nth-child(1)),
  #compare-pricing tr td:not(:nth-child(1)) {
    text-align: center; }

.fa-long-arrow-alt-right {
  font-size: 1.5rem;
  vertical-align: middle; }

@media (min-width: 768px) {
  #header {
    height: 100%; }
    #header .menu {
      display: none; }
    #header .navigation,
    #header .invitation {
      display: block; }
    #header .navigation ul {
      display: flex;
      flex-flow: row wrap; }
      #header .navigation ul li a {
        display: inline-block;
        padding: 0.2rem 1rem;
        color: #000;
        font-weight: 700; }
        #header .navigation ul li a:hover {
          color: #cc4646; }
    #header .invitation {
      display: inline-block;
      background: #000;
      color: #fff;
      font-weight: 400;
      padding: 0.5rem 1.2rem; }
      #header .invitation:hover {
        background: #cc4646;
        color: #fff; }
  #card-photo .card {
    display: flex;
    flex-direction: row-reverse;
    height: 30rem;
    width: 100%; }
  #card-photo .card:nth-child(2) {
    flex-flow: row wrap; }
    #card-photo .card:nth-child(2) .background-img {
      background-position-x: 13%; }
  #card-photo .background-img {
    width: 40%;
    height: 100%; }
  #card-photo .description {
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center; }
    #card-photo .description .border-design {
      position: absolute;
      top: 50%;
      left: 0;
      transform: translateY(-40%);
      height: 17rem;
      width: 0.5rem;
      background: linear-gradient(76deg, rgba(200, 127, 199, 0.709121) 0%, #bb5d5d 46%, #4d36ac 100%); }
  #portfolio {
    display: grid;
    grid-template-columns: 1fr 1fr; }
    #portfolio .card {
      height: 30rem; }
  #services p {
    padding-left: 4rem;
    padding-right: 4rem; }
  #footer .container {
    display: grid;
    grid-template-columns: 60% 40%;
    grid-template-rows: repeat(3, 4rem);
    grid-template-areas: 'logo invites' 'navigation .' 'multimedia copyright'; }
    #footer .container .logo {
      grid-area: logo; }
    #footer .container .multimedia {
      grid-area: multimedia;
      justify-self: flex-start; }
    #footer .container .navigation {
      grid-area: navigation;
      align-self: self-end;
      justify-self: flex-start; }
    #footer .container .invites {
      grid-area: invites;
      justify-self: flex-end; }
    #footer .container .copyright {
      grid-area: copyright;
      justify-self: flex-end; }
    #footer .container .navigation ul {
      display: flex;
      flex-flow: row wrap; }
      #footer .container .navigation ul li a {
        display: inline-block;
        padding: 0.5rem 0.5rem 0.5rem 0; }
  #pricing .card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(3, 3.6em);
    grid-template-areas: 'plan price' 'desc price' 'btn .';
    padding: 1rem 2rem; }
    #pricing .card .plan,
    #pricing .card .desc,
    #pricing .card .btn {
      justify-self: start;
      width: 100%;
      text-align: start; }
    #pricing .card .btn {
      align-self: center; }
    #pricing .card .price {
      justify-self: end;
      padding: 0 2rem; }
  #compare-pricing .table {
    width: 700px; } }

@media (min-width: 1000px) {
  #feature-today .info {
    width: 50%;
    height: 50vh;
    margin-left: 5rem; }
  #card-photo .description {
    width: 40%; }
  #card-photo .background-img {
    width: 60%; }
  #portfolio {
    grid-template-columns: repeat(4, 1fr); }
  #services .container {
    display: flex;
    flex-flow: row wrap;
    justify-content: center; }
    #services .container .card {
      width: 33.33%;
      flex-direction: column;
      display: flex;
      align-items: center;
      justify-content: space-around; }
      #services .container .card p {
        padding: 0; }
    #services .container .card:nth-child(2) div {
      vertical-align: middle;
      margin-bottom: 2rem; }
  #pricing .card-wrapper {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between; }
    #pricing .card-wrapper .card {
      width: 32%;
      display: flex;
      flex-direction: column;
      text-align: center;
      align-items: center;
      justify-content: center;
      height: 20rem; }
    #pricing .card-wrapper .card > * {
      text-align: center; }
    #pricing .card-wrapper .highlight {
      height: 23rem;
      border-top: 2px solid red; }
  #footer .container {
    display: grid;
    grid-template-columns: 20% 1fr 30%;
    grid-template-rows: repeat(3, 3rem);
    grid-template-areas: 'logo navigation invites' 'logo navigation .' 'multimedia navigation copyright'; }
    #footer .container .navigation {
      align-self: unset; }
      #footer .container .navigation ul {
        flex-direction: column; }
    #footer .container .logo {
      align-self: flex-start; }
  #compare-pricing .table {
    width: 900px; } }

@media (min-width: 1440px) {
  #card-photo .description {
    padding: 0px 5rem; }
  #feature-today .info {
    width: 40%; } }

@media (min-width: 1800px) {
  #feature-today .info {
    width: 30%; } }
